Draft Ellipse

From FreeCAD Documentation
Revision as of 18:05, 21 February 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Draft Ellipse

Системное название
Draft Ellipse
Расположение в меню
Черчение -> Эллипс
Верстаки
Draft, Arch
Быстрые клавиши
E L
Представлено в версии
-
См. также
Окружность

Описание

Инструмент Ellipse создает эллипс в текущей work plane, введя две точки, определяя угол прямоугольного прямоугольника, в котором будет располагаться эллипс. Он берет linewidth and color, предварительно установленный на вкладке «Задачи».

This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the Draft Circle and Draft Arc tools. You can also approximate an elliptical or circular arc using the Draft BSpline and Draft BezCurve tools.

Usage

Использование

  1. Нажмите кнопку Draft Ellipse или нажмите клавиши C, затем I
  2. Щелкните первую точку на трехмерном изображении или введите coordinate
  3. Нажмите вторую точку на трехмерном представлении или введите coord.

The ellipse can be turned into an elliptical arc after creation, by setting its first angle and last angle properties to different values.

Опции

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the add point button when you have the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Ellipse tool will restart after you finish the shape, allowing you to draw another one without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, the ellipse will create a filled face (ДанныеMake Face true); if not, the ellipse will not make a face (ДанныеMake Face false).
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Esc or the Close button to abort the current command.

Свойства

An Ellipse object shares many properties with a Draft Circle, but some properties only make sense for the ellipse.

Data

  • ДанныеFirst Angle: specifies the angle of the first point of the ellipse; normally 0°.
  • ДанныеLast Angle: specifies the angle of the last point of the ellipse; normally 0°.
  • ДанныеMajor Radius: specifies the major radius of the ellipse.
  • ДанныеMinor Radius: specifies the minor radius of the ellipse.
If the both radius have the same value, the ellipse looks the same as a Draft Circle.
  • ДанныеMake Face: specifies if the Ellipse makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object. This property only works if the shape is a full ellipse.
For it to be a full ellipse ДанныеFirst Angle and ДанныеLast Angle should have the same value; otherwise, an elliptical arc is displayed. The values 0° and 360° are considered the same.

View

  • ВидPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if ДанныеMake Face is true, and if ВидDisplay Mode is "Flat Lines".
  • ВидPattern Size: specifies the size of the Draft Pattern.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Ellipse tool can by used in macros and from the Python console by using the following function:

Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
  • Creates an Ellipse object with given major (majradius) and minor (minradius) radius in millimeters.
    • The bigger value will be used for the major radius (X axis) if no other placement is given.
  • If a placement is given, it is used; otherwise the shape is created at the origin.
  • If face is True, the ellipse will make a face, that is, it will appear filled.

Example:

import FreeCAD, Draft

Ellipse1 =  Draft.makeEllipse(3000, 200)
Ellipse2 =  Draft.makeEllipse(700, 1000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Ellipse3 =  Draft.makeEllipse(700, 1000, placement=place3)